1. Invoices
Freedom Pay
  • Overview
  • Gateway API
    • Overview
    • Sync API
      • Overview
      • Purchase
        • Overview
        • Create payment
        • Any amount
        • Card
        • 3DSecure
        • Recurrent
        • Cancel
        • Clearing
        • Refund
        • Status
      • Payout
        • Overview
        • Card
        • IBAN
        • Balance
        • Status
      • Transfer
        • Overview
        • Card
        • 3DSecure
        • Rates
        • Status
      • Card
        • Overview
        • Add
        • 3DSecure
        • List
        • Remove
        • Status
      • Token
        • Overview
        • Token Pay
        • Apple Pay
        • Google Pay
        • Token Payout
        • Status
    • Async API
      • Overview
      • create
        • create payment
      • read
        • read payment
        • read request
      • edit
        • edit payment.refund
        • edit payment.reverse
        • edit payment.clearing
  • Merchant API
    • Overview
    • Purchase
      • Overview
      • Checkout
      • Card token
        • Overview
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment (with CVC)
        • Confirm payment (with CVC)
        • Create payment
        • Confirm payment
      • Create payment
      • Any amount
      • Reccuring payment
      • Cancel payment
      • Clearing
      • Refund payment
      • Status
    • Payout
      • Overview
      • Card token
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment
      • Create payment
      • IBAN
      • Balance status
      • Status
    • Mobile balance
      • Overview
      • Init
      • Pay
      • Approve
      • Resend code
      • Status
    • Invoice
      • Overview
      • Create invoice
      • Info
      • Refund
      • Status
      • Cancel
    • SDK
      • JS SDK
      • Merchant SDK
        • Google Pay
        • Android
        • IOS
    • CMS
      • Overview
      • Get Merchant ID and key
      • WordPress
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
        • Update
      • Tilda
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • InSales
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Ecwid
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Bitrix
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • PrestaShop
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • OpenCart
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
    • Redirect back
      POST
    • Result notify
      POST
    • Payout notify
      POST
    • Check request
      POST
  • Card API
    • Overview
    • Client
      • Card link
      • Сards' list
      • Create client
      • Client info
      • Update client
      • Verify client
    • Transactions
      • Create transaction
      • Clearing transaction
      • Refund transaction
      • Transaction info
      • Transaction status (depricated)
      • Transaction status
    • Card
      • Activate card
      • Block card
      • Balance
      • Card info
      • Card update
      • Card tokenization
      • Close card
      • Find card
      • Issue card
      • Issue plastic card
      • Operations' list
      • Reset PIN counter
      • Statement extended
      • Set PIN
      • Secret data
      • Unblock card
    • Limits
      • Limits list
      • Set limits
    • Bulk issue
      POST
    • Cardholder validation
      POST
    • Request' status
      POST
  • Partner API
    • Rates
      • Overview
      • Rates
    • Products
      • Overview
      • Dictionaries
      • Add client with product
      • Client request status
      • Create terminal
      • Update terminal limits
      • Product request status
    • E-Money
      • Overview
      • Add
      • Owner identification
      • Info
      • Close
      • Block
      • Balance
      • Statement
      • Request Status
    • Device ID
      • Android SDK
      • iOS SDK
    • Implement SuperApp
      • Overview
      • Pay
      • Refund
    • Account
      • Overview
      • Create payment
      • Payment status
      • Batch statuses
      • Statement
      • Statement status
      • Balance
      • Balance status
    • Invoices
      • Info
        POST
  1. Invoices

Info

POST
https://api.freedompay.kz/v5/partner/invoices/info
Use this method to provide payment details to the payer after they are redirected from the merchant platform to the payment app. This method is called when an invoice is paid.

Request Header block#

Request headers
NameValueDescription
X-Request-Iduuid v7Unique request Id
Content-typeapplication/jsonRequest body format
X-JWS-SignaturestringRequest signature
Acceptapplication/jsonRequest body format

Response Header block#

Response headers
NameValueDescription
X-Request-Iduuid v7Unique request Id
X-DatetimedatetimeDate and time of request processing
X-Request-StatusstringRequest body format

Generating the X-JWS-Signature#

To send any request, a request signature must be generated using JWS technology.
The JWS format must include the mandatory blocks header and signature and should be passed in the request header X-JWS-Signature.

Header structure#

{
    "uri": "/v5/partner/invoices/info",
    "auth_id": "12345", 
    "method": "POST",
    "params": "" 
    "alg": "HS256"
}
Header description:
NameDescriptionField requirement
uriThe path to the API endpoint being calledRequired
auth_idUser ID for signature verificationRequired
methodRequest methodRequired
paramsReserved fieldRequired
algEncryption algorithmRequired

Payload structure#

The payload for generating JWS includes the HTTP request body.
The supported signature encryption algorithm is HS256, and the merchant's secret_key should be used as the signing key.
{
  "id": "b4c5c7de-99f2-4c1d-b61d-7a8e9df22f7b"
}
Generated JWS:
eyJwYXRoIjoiL3Y1L21lcmNoYW50L2ludm9pY2UvaW5pdCIsIm1lcmNoYW50X2lkIjoxMjM0NTYsIm1ldGhvZCI6IlBPU1QiLCJwYXJhbXMiOiIiLCJhbGciOiJIUzUxMiJ9..wCwFCAmxN0nbTm6mad8GxowIjgkCwfF7IAy2ijO9thLjsZFXnS4K_I4NPnXjkTFTMnEzqjk8rtIVmtf7NbGyvg

Request

Body Params application/jsonRequired

Example
{
    "invoice_id": "019d0652-4e2f-7f54-a179-007c80c48adu"
}

Responses

🟢200Success
application/json
Body

Example
{
    "status": "new",
    "amount": 500.00,
    "currency": "KZT",
    "merchant_id": 12345,
    "merchant_name": "SHOP NAME",
    "description": "invoice description",
    "expires_at": "2026-01-23T11:00:00Z",
    "back_url": "https://back.url",
    "refunds": [
        {
            "id": "019d0652-4e2f-7f54-a179-007c80c48cef",
        }
    ],
    "tax": [
        {
            "name": "Position",
            "price": 500.00,
            "type": "standard",
            "count": 1
        }
    ],
    "device": {
        "id": "device-abc-123",
        "browser_version": "Chrome/121.0.0.0",
        "ip": "85.116.189.120"
    },
    "created_at": "2026-01-22T11:00:00Z"
}
Previous
Balance status